# Media tags read

An action block that reads metadata tags from media content such as audio, video or image.

The fiber will proceed when the tags has been read.

The presence of tags depends on the type of media content, `null` is assigned if a tag isn’t present or couldn’t be read.

### Orientation

Value | Description
--- | ---
`1` | normal, i.e. neither rotated nor flipped
`2` | flip horizontally
`3` | rotate 180° clockwise
`4` | flip vertically
`5` | transpose, i.e. flip horizontally and rotate 270° clockwise
`6` | rotated 90° clockwise
`7` | transverse, i.e. flip horizontally and rotate 90° clockwise
`8` | rotate 270° clockwise

## Input arguments

- Content URI — URI or filename to media content.

## Output variables

- Media title — variable to assign the title.
- Media album — variable to assign the album.
- Media artist — variable to assign the artist.
- Media genre — variable to assign the genre.
- Media duration — variable to assign the duration in seconds.
- Media track number — variable to assign the track number.
- Media release date — variable to assign the release/creation date as a unix timestamp.
- Media latitude — variable to assign the latitude.
- Media longitude — variable to assign the longitude.
- Media orientation — variable to assign image/video orientation, see orientations.